import numpy as np
from math import log
import matplotlib.pyplot as plt
from scipy.ndimage import convolve

from WEAVEify_routines.step_02_common_routines.dictionary_functions import  \
CHECK_AND_INITIALIZE_KEY_VALUE,CHECK_IF_KEY_PRESENT

def step_03_lsf_effect_main(inp_dict):
    lsf_type         = inp_dict["lsf_type"].upper()

    if ("FIBRE" in lsf_type) | ("FIBER" in lsf_type):

        print("Fiber specific instrumental broadening would be implemented in future ...")
        exit()

    else:

        from WEAVEify_routines.step_03_instrumental_broadening.lsf_type_1_standard_functions.\
        instrumental_broadening_routines import \
        instrumental_broadening_routines_main

        inp_dict = instrumental_broadening_routines_main(inp_dict)


    return inp_dict
